Bug 213406 - [exp-run] Add new virtual categories for KDE
Summary: [exp-run] Add new virtual categories for KDE
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://reviews.freebsd.org/D7645
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-12 06:59 UTC by Tobias C. Berner
Modified: 2016-10-18 19:04 UTC (History)
2 users (show)

See Also:
tcberner: exp-run?


Attachments
Add ${_KDE_CATEGORIES_SUPPORTED} to the valid categories, and wire it into ports (82.45 KB, patch)
2016-10-12 06:59 UTC, Tobias C. Berner
no flags Details | Diff
do not touch bsd.l10n.mk (81.92 KB, patch)
2016-10-16 11:01 UTC, Tobias C. Berner
no flags Details | Diff
do not touch bsd.l01n.mk [against updated svn] (81.94 KB, patch)
2016-10-16 11:15 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2016-10-12 06:59:22 UTC
Created attachment 175650 [details]
Add ${_KDE_CATEGORIES_SUPPORTED} to the valid categories, and wire it into ports

kde@ would like to ask for an exp-run for the new virtual category kde-kde4

As this is used to set MASTER_SITES of the affected KDE4 ports, it would be
great if the distcache could be disabled for this run.


The patch adds a new virtual CATEGORY "kde-kde4". In the future we will add
"kde-frameworks", "kde-plasma" and "kde-applications", and use these to
set MASTER_SITES and other shared values.


The patch is attached, and can also be found here:
https://people.freebsd.org/~tcberner/patches/kde-categories.diff.v1



Differential: https://reviews.freebsd.org/D7645
Comment 1 Antoine Brodin freebsd_committer 2016-10-15 19:58:29 UTC
Exp-run results on 10.3 i386:

http://package18.nyi.freebsd.org/build.html?mastername=103i386-default-PR213406&build=2016-10-14_20h10m22s

New failures:

+ {"origin"=>"chinese/calligra-l10n-zh_CN", "pkgname"=>"zh_CN-calligra-l10n-2.9.11_1", "phase"=>"fetch", "errortype"=>"distinfo_update"}
+ {"origin"=>"chinese/calligra-l10n-zh_TW", "pkgname"=>"zh_TW-calligra-l10n-2.9.11_1", "phase"=>"fetch", "errortype"=>"distinfo_update"}
+ {"origin"=>"editors/calligra-l10n-bs", "pkgname"=>"bs-calligra-l10n-2.9.11_1", "phase"=>"fetch", "errortype"=>"distinfo_update"}
+ {"origin"=>"editors/calligra-l10n-ca", "pkgname"=>"ca-calligra-l10n-2.9.11_1", "phase"=>"fetch", "errortype"=>"distinfo_update"}
+ {"origin"=>"editors/calligra-l10n-ca_valencia", "pkgname"=>"ca_valencia-calligra-l10n-2.9.11_1", "phase"=>"fetch", "errortype"=>"distinfo_update"}
+ {"origin"=>"editors/calligra-l10n-cs", "pkgname"=>"cs-calligra-l10n-2.9.11_1", "phase"=>"fetch", "errortype"=>"distinfo_update"}
+ {"origin"=>"editors/calligra-l10n-da", "pkgname"=>"da-calligra-l10n-2.9.11_1", "phase"=>"fetch", "errortype"=>"distinfo_update"}
+ {"origin"=>"editors/calligra-l10n-el", "pkgname"=>"el-calligra-l10n-2.9.11_1", "phase"=>"fetch", "errortype"=>"distinfo_update"}
+ {"origin"=>"editors/calligra-l10n-en_GB", "pkgname"=>"en_GB-calligra-l10n-2.9.11_1", "phase"=>"fetch", "errortype"=>"distinfo_update"}
+ {"origin"=>"editors/calligra-l10n-es", "pkgname"=>"es-calligra-l10n-2.9.11_1", "phase"=>"fetch", "errortype"=>"distinfo_update"}
+ {"origin"=>"editors/calligra-l10n-et", "pkgname"=>"et-calligra-l10n-2.9.11_1", "phase"=>"fetch", "errortype"=>"distinfo_update"}
+ {"origin"=>"editors/calligra-l10n-fi", "pkgname"=>"fi-calligra-l10n-2.9.11_1", "phase"=>"fetch", "errortype"=>"distinfo_update"}
+ {"origin"=>"editors/calligra-l10n-gl", "pkgname"=>"gl-calligra-l10n-2.9.11_1", "phase"=>"fetch", "errortype"=>"distinfo_update"}
+ {"origin"=>"editors/calligra-l10n-it", "pkgname"=>"it-calligra-l10n-2.9.11_1", "phase"=>"fetch", "errortype"=>"distinfo_update"}
+ {"origin"=>"editors/calligra-l10n-kk", "pkgname"=>"kk-calligra-l10n-2.9.11_1", "phase"=>"fetch", "errortype"=>"distinfo_update"}
+ {"origin"=>"editors/calligra-l10n-nb", "pkgname"=>"nb-calligra-l10n-2.9.11_1", "phase"=>"fetch", "errortype"=>"distinfo_update"}
+ {"origin"=>"editors/calligra-l10n-nl", "pkgname"=>"nl-calligra-l10n-2.9.11_1", "phase"=>"fetch", "errortype"=>"distinfo_update"}
+ {"origin"=>"editors/calligra-l10n-sk", "pkgname"=>"sk-calligra-l10n-2.9.11_1", "phase"=>"fetch", "errortype"=>"distinfo_update"}
+ {"origin"=>"editors/calligra-l10n-sv", "pkgname"=>"sv-calligra-l10n-2.9.11_1", "phase"=>"fetch", "errortype"=>"distinfo_update"}
+ {"origin"=>"editors/calligra-l10n-tr", "pkgname"=>"tr-calligra-l10n-2.9.11_1", "phase"=>"fetch", "errortype"=>"distinfo_update"}
+ {"origin"=>"french/calligra-l10n", "pkgname"=>"fr-calligra-l10n-2.9.11_1", "phase"=>"fetch", "errortype"=>"distinfo_update"}
+ {"origin"=>"german/calligra-l10n", "pkgname"=>"de-calligra-l10n-2.9.11_1", "phase"=>"fetch", "errortype"=>"distinfo_update"}
+ {"origin"=>"hungarian/calligra-l10n", "pkgname"=>"hu-calligra-l10n-2.9.11_1", "phase"=>"fetch", "errortype"=>"distinfo_update"}
+ {"origin"=>"japanese/calligra-l10n", "pkgname"=>"ja-calligra-l10n-2.9.11_1", "phase"=>"fetch", "errortype"=>"distinfo_update"}
+ {"origin"=>"polish/calligra-l10n", "pkgname"=>"pl-calligra-l10n-2.9.11_1", "phase"=>"fetch", "errortype"=>"distinfo_update"}
+ {"origin"=>"portuguese/calligra-l10n", "pkgname"=>"pt-calligra-l10n-2.9.11_1", "phase"=>"fetch", "errortype"=>"distinfo_update"}
+ {"origin"=>"portuguese/calligra-l10n-pt_BR", "pkgname"=>"pt_BR-calligra-l10n-2.9.11_1", "phase"=>"fetch", "errortype"=>"distinfo_update"}
+ {"origin"=>"russian/calligra-l10n", "pkgname"=>"ru-calligra-l10n-2.9.11_1", "phase"=>"fetch", "errortype"=>"distinfo_update"}
+ {"origin"=>"ukrainian/calligra-l10n", "pkgname"=>"uk-calligra-l10n-2.9.11_1", "phase"=>"fetch", "errortype"=>"distinfo_update"}
Comment 2 Tobias C. Berner freebsd_committer 2016-10-15 21:20:06 UTC
I forgot to remove the changes to editors/calligra-l10n/files/bsd.l10n.mk, that's why all these calligra-l10n ports did fail.
Comment 3 Tobias C. Berner freebsd_committer 2016-10-16 11:01:08 UTC
Created attachment 175815 [details]
do not touch bsd.l10n.mk

Second version of the patch.

Also available here: 
https://people.freebsd.org/~tcberner/patches/kde-categories.diff.v2
Comment 4 Tobias C. Berner freebsd_committer 2016-10-16 11:15:58 UTC
Created attachment 175816 [details]
do not touch bsd.l01n.mk [against updated svn]

Also available here:
https://people.freebsd.org/~tcberner/patches/kde-categories.diff.v3
Comment 5 Antoine Brodin freebsd_committer 2016-10-18 08:53:25 UTC
Exp-run looks fine
Comment 6 commit-hook freebsd_committer 2016-10-18 17:23:00 UTC
A commit references this bug:

Author: tcberner
Date: Tue Oct 18 17:22:44 UTC 2016
New revision: 424182
URL: https://svnweb.freebsd.org/changeset/ports/424182

Log:
  Introduce new extensible virtual categories for KDE

  A lot of KDE Ports share MASTERSITES, LICENSE and so one, as they are
  released as a bundle upstream, however, there was not really a clean
  way to share this information.

  Using these new categories, we can simplify the Makefiles for the diverse
  KDE ports.
  At the moment we support the virtual category
  	* kde-kde4
  In the future, this will be extended to
  	* kde-frameworks
  	* kde-plasma
  	* kde-applications

  PR:						213406
  Differential Revision:	https://reviews.freebsd.org/D7645
  Exp-run by :			antoine
  Reviewed by:			mat, rakuco
  Approved by: 			portmgr (mat), rakuco (mentor)

Changes:
  head/Mk/Uses/kde.mk
  head/Mk/bsd.port.mk
  head/accessibility/jovie/Makefile
  head/accessibility/kaccessible/Makefile
  head/accessibility/kmag/Makefile
  head/accessibility/kmousetool/Makefile
  head/accessibility/kmouth/Makefile
  head/archivers/ark/Makefile
  head/astro/kstars/Makefile
  head/astro/marble/Makefile
  head/audio/juk/Makefile
  head/audio/kio-audiocd/Makefile
  head/audio/kmix/Makefile
  head/audio/kscd/Makefile
  head/audio/libkcddb/Makefile
  head/audio/libkcompactdisc/Makefile
  head/comms/kremotecontrol/Makefile
  head/deskutils/kcharselect/Makefile
  head/deskutils/kdeplasma-addons/Makefile
  head/deskutils/kruler/Makefile
  head/deskutils/superkaramba/Makefile
  head/devel/cervisia/Makefile
  head/devel/dolphin-plugins/Makefile
  head/devel/kapptemplate/Makefile
  head/devel/kcachegrind/Makefile
  head/devel/kde-dev-scripts/Makefile
  head/devel/kde-dev-utils/Makefile
  head/devel/kdesdk4-kioslaves/Makefile
  head/devel/kdesdk4-strigi-analyzers/Makefile
  head/devel/kdesdk4-thumbnailers/Makefile
  head/devel/lokalize/Makefile
  head/devel/okteta/Makefile
  head/devel/p5-perlkde/Makefile
  head/devel/p5-perlqt/Makefile
  head/devel/poxml/Makefile
  head/devel/py-krosspython/Makefile
  head/devel/py-pykde4/Makefile
  head/devel/py-pykdeuic4/Makefile
  head/devel/ruby-korundum/Makefile
  head/devel/ruby-krossruby/Makefile
  head/devel/ruby-qtruby/Makefile
  head/devel/smokegen/Makefile
  head/devel/smokekde/Makefile
  head/devel/smokeqt/Makefile
  head/devel/umbrello/Makefile
  head/editors/kate/Makefile
  head/editors/kate-plugin-pate/Makefile
  head/games/blinken/Makefile
  head/games/bomber/Makefile
  head/games/bovo/Makefile
  head/games/granatier/Makefile
  head/games/kajongg/Makefile
  head/games/kanagram/Makefile
  head/games/kapman/Makefile
  head/games/katomic/Makefile
  head/games/kblackbox/Makefile
  head/games/kblocks/Makefile
  head/games/kbounce/Makefile
  head/games/kbreakout/Makefile
  head/games/kdiamond/Makefile
  head/games/kfourinline/Makefile
  head/games/kgoldrunner/Makefile
  head/games/khangman/Makefile
  head/games/kigo/Makefile
  head/games/killbots/Makefile
  head/games/kiriki/Makefile
  head/games/kjumpingcube/Makefile
  head/games/klickety/Makefile
  head/games/klines/Makefile
  head/games/kmahjongg/Makefile
  head/games/kmines/Makefile
  head/games/knavalbattle/Makefile
  head/games/knetwalk/Makefile
  head/games/kolf/Makefile
  head/games/kollision/Makefile
  head/games/konquest/Makefile
  head/games/kpat/Makefile
  head/games/kreversi/Makefile
  head/games/kshisen/Makefile
  head/games/ksirk/Makefile
  head/games/ksnakeduel/Makefile
  head/games/kspaceduel/Makefile
  head/games/ksquares/Makefile
  head/games/ksudoku/Makefile
  head/games/ktuberling/Makefile
  head/games/kubrick/Makefile
  head/games/libkdegames/Makefile
  head/games/libkmahjongg/Makefile
  head/games/lskat/Makefile
  head/games/pairs/Makefile
  head/games/palapeli/Makefile
  head/games/picmi/Makefile
  head/graphics/gwenview-kde4/Makefile
  head/graphics/kamera-kde4/Makefile
  head/graphics/kcolorchooser/Makefile
  head/graphics/kdegraphics4-mobipocket/Makefile
  head/graphics/kdegraphics4-strigi-analyzer/Makefile
  head/graphics/kdegraphics4-svgpart/Makefile
  head/graphics/kdegraphics4-thumbnailers/Makefile
  head/graphics/kolourpaint/Makefile
  head/graphics/kqtquickcharts/Makefile
  head/graphics/ksaneplugin/Makefile
  head/graphics/ksnapshot/Makefile
  head/graphics/libkdcraw-kde4/Makefile
  head/graphics/libkexiv2-kde4/Makefile
  head/graphics/libkipi-kde4/Makefile
  head/graphics/libksane/Makefile
  head/graphics/okular/Makefile
  head/japanese/kiten/Makefile
  head/lang/kturtle/Makefile
  head/math/analitza/Makefile
  head/math/cantor/Makefile
  head/math/kalgebra/Makefile
  head/math/kbruch/Makefile
  head/math/kcalc/Makefile
  head/math/kig/Makefile
  head/math/kmplot/Makefile
  head/math/rocs/Makefile
  head/misc/artikulate/Makefile
  head/misc/kgeography/Makefile
  head/misc/klettres/Makefile
  head/misc/ktouch/Makefile
  head/misc/kwordquiz/Makefile
  head/misc/libkdeedu/Makefile
  head/misc/parley/Makefile
  head/multimedia/dragon/Makefile
  head/multimedia/kdemultimedia4-ffmpegthumbs/Makefile
  head/multimedia/kdemultimedia4-mplayerthumbs/Makefile
  head/net/kdenetwork4-filesharing/Makefile
  head/net/kdenetwork4-strigi-analyzers/Makefile
  head/net/kget/Makefile
  head/net/krdc/Makefile
  head/net/krfb/Makefile
  head/net/zeroconf-ioslave/Makefile
  head/net-im/kopete-kde4/Makefile
  head/print/kde4-print-manager/Makefile
  head/science/kalzium/Makefile
  head/science/step/Makefile
  head/security/kgpg-kde4/Makefile
  head/security/kwalletmanager/Makefile
  head/sysutils/baloo/Makefile
  head/sysutils/baloo-widgets/Makefile
  head/sysutils/filelight-kde4/Makefile
  head/sysutils/kcron/Makefile
  head/sysutils/kdf/Makefile
  head/sysutils/kfilemetadata/Makefile
  head/sysutils/kfloppy/Makefile
  head/sysutils/ksystemlog/Makefile
  head/sysutils/kuser/Makefile
  head/sysutils/nepomuk-core/Makefile
  head/sysutils/nepomuk-widgets/Makefile
  head/sysutils/sweeper/Makefile
  head/textproc/kompare/Makefile
  head/textproc/libkomparediff2/Makefile
  head/www/kdewebdev4/Makefile
  head/x11/kde4-baseapps/Makefile
  head/x11/kde4-runtime/Makefile
  head/x11/kgamma/Makefile
  head/x11/konsole/Makefile
  head/x11/libkonq/Makefile
  head/x11-clocks/amor/Makefile
  head/x11-clocks/kteatime/Makefile
  head/x11-clocks/ktimer/Makefile
  head/x11-clocks/ktux/Makefile
  head/x11-themes/kde4-base-artwork/Makefile
  head/x11-themes/kde4-icons-oxygen/Makefile
  head/x11-themes/kde4-wallpapers/Makefile
  head/x11-themes/kdeartwork4/Makefile
Comment 7 Tobias C. Berner freebsd_committer 2016-10-18 19:04:53 UTC
Thanks for the exp-run.